package com.ruoyi.project.plant.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 目标协议对象 t_targetagreement
 *
 * @author ruoyi
 * @date 2021-08-16
 */
public class TTargetagreement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 员工号 */
    @Excel(name = "员工号")
    private String employeeid;

    /** 实际岗位 */
    private String actualpost;

    private String employeeName;

    /** 考核人姓名 */
    @Excel(name = "考核人姓名")
    private String appraiser;

    private String appraiserName;

    /** 总体考核 */
    @Excel(name = "总体考核")
    private String overall;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    private List<TTargetyardstick> tTargetyardsticks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setEmployeeid(String employeeid)
    {
        this.employeeid = employeeid;
    }

    public String getEmployeeid()
    {
        return employeeid;
    }
    public void setActualpost(String actualpost)
    {
        this.actualpost = actualpost;
    }

    public String getActualpost()
    {
        return actualpost;
    }
    public void setAppraiser(String appraiser)
    {
        this.appraiser = appraiser;
    }

    public String getAppraiser()
    {
        return appraiser;
    }
    public void setOverall(String overall)
    {
        this.overall = overall;
    }

    public String getOverall()
    {
        return overall;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public String getEmployeeName() { return employeeName; }

    public void setEmployeeName(String employeeName) { this.employeeName = employeeName; }
    public String getAppraiserName() { return appraiserName; }

    public void setAppraiserName(String appraiserName) { this.appraiserName = appraiserName; }

    public List<TTargetyardstick> gettTargetyardsticks() { return tTargetyardsticks; }

    public void settTargetyardsticks(List<TTargetyardstick> tTargetyardsticks) { this.tTargetyardsticks = tTargetyardsticks; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("employeeid", getEmployeeid())
            .append("appraiser", getAppraiser())
            .append("overall", getOverall())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .toString();
    }
}
